DBLINK_GET_CONNECTIONS(3)

NAME
dblink_get_connections - returns the names of all open named dblink connections

SYNOPSIS

dblink_get_connections() returns text[]

DESCRIPTION

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

dblink_get_connections returns an array of the names of all open named dblink connections.

RETURN VALUE

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

Returns a text array of connection names, or NULL if none.

EXAMPLES

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

    SELECT dblink_get_connections();